EDIT - task #10205

Update GBIF import to modern json library.

12/16/2022 01:37 PM - Andreas Muller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.36

Severity: normal

Description

... after fixing do not forget to remove 4 dependencies again. See taxeditor|f60a1e5ffb4425d1f

Related issues:

Related to EDIT - task #10055: Updates, upgrades and cleanup 2023

Related to EDIT - feature request #10221: Add form to edit the json file with...
Copied from EDIT - bug #10204: GBIF search does not work due to missing json-lib

New
Closed
Closed

Associated revisions

Revision 7b40eb6e - 01/05/2023 09:03 PM - Andreas Muller

ref #10204, ref #10205 add commons-beanutils and json-lib to .gitignore in taxeditor

Revision 4a24714d - 01/19/2023 01:35 PM - Katja Luther
ref #10205: using Jackson library for GBIF import

Revision def0d632 - 01/19/2023 02:00 PM - Katja Luther
ref #10205: fixing parseOriginalDataSetUri

Revision 21527fe6 - 01/19/2023 02:18 PM - Katja Luther
ref #10205: remove jsonlib library again from MANIFEST.MF

Revision 00280b83 - 03/09/2023 10:40 AM - Katja Luther

ref #10205: remove not used libraries in build.properties

Revision d88b3f76 - 03/09/2023 11:17 AM - Katja Luther

ref #10205: remove libraries from pom

Revision 7897e6d1 - 03/09/2023 11:30 AM - Katja Luther

ref #10205: test for textValue before calling textValue() on jsonNode

History

#1 - 12/16/2022 01:38 PM - Andreas Miiller
- Description updated
- Category set to cdmlib

- Assignee set to Katja Luther

#2 - 12/16/2022 01:39 PM - Andreas Miuller

- Related to task #10055: Updates, upgrades and cleanup 2023 added

#3 - 12/16/2022 01:42 PM - Andreas Miuller

- Copied from bug #10204: GBIF search does not work due to missing json-lib added

#4 - 01/05/2023 06:55 PM - Andreas Miiller

- Description updated
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.44

#5 - 01/05/2023 06:57 PM - Andreas Miller

- Description updated

#6 - 01/05/2023 09:15 PM - Andreas Miiller

please also remove the .ignore entries

#7 - 01/09/2023 10:10 AM - Andreas Miiller

- Related to feature request #10221: Add form to edit the json file with cdmserver info added

#8 - 01/19/2023 01:41 PM - Katja Luther
- Status changed from New to In Progress

- % Done changed from 0 to 40

The gbif import on cdmlibrary side is adapted.

#9 - 01/19/2023 02:20 PM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

The jsonlib library and depending libraries are removed again.
This should work now, please review.

#10 - 03/08/2023 01:46 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Constructions like "record.get(COUNTRY_CODE).textValue();" seem to be dangerous for throwing NPEs. Is it guaranteed that an NPE can not be
thrown at any of these places? Even if the handling may change in future?

Is there a reason for seeting it only to 40%?

#11 - 03/08/2023 01:50 PM - Andreas Miiller

In #10204 you did not only change Manifest.MF but also others (e.g. eu.etaxonomy.taxeditor.cdmlib/build.properties ). Please check the old ticket for
a complete list what changes need to be reverted.

#12 - 03/09/2023 10:42 AM - Katja Luther

- Status changed from Feedback to Resolved
Thanks for recognizing ... | removed the libraries also from the properties file now.
#13 - 03/09/2023 10:48 AM - Katja Luther

Andreas Muller wrote in #note-10:

Constructions like "record.get(COUNTRY_CODE).textValue();" seem to be dangerous for throwing NPEs. Is it guaranteed that an NPE can not
be thrown at any of these places? Even if the handling may change in future?

Is there a reason for seeting it only to 40%?

Maybe we could test for textual value like this, asText() returns a valid string value of the container value.

record.get(COUNTRY_CODE).isTextual() ?record.get(COUNTRY_CODE).textValue():record.get(COUNTRY_CODE).asText();

#14 - 03/09/2023 10:54 AM - Andreas Muller

Katja Luther wrote in #note-13:

Andreas Muller wrote in #note-10:
Constructions like "record.get(COUNTRY_CODE).textValue();" seem to be dangerous for throwing NPEs. Is it guaranteed that an NPE can
not be thrown at any of these places? Even if the handling may change in future?

Maybe we could test for textual value like this, asText() returns a valid string value of the container value.

record.get(COUNTRY_CODE).isTextual() ?record.get(COUNTRY_CODE).textValue():record.get(COUNTRY_CODE).asText();

Why should this solve a potential NPE?

#15 - 03/09/2023 10:59 AM - Andreas Miiller
Katja Luther wrote in #note-12:
Thanks for recognizing ... | removed the libraries also from the properties file now.

With "Please check the old ticket for a complete list what changes need to be reverted. " | meant that you go through all changes of the old ticket, not
only the example that | gave. There are other changes. Simply go through all commits related to the tickets and check what has changed.

#16 - 03/09/2023 11:01 AM - Andreas Miiller

- Status changed from Resolved to Feedback

#17 - 03/20/2023 03:52 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.36
Is this for final review?

#18 - 03/21/2023 03:25 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

| checked the actual files with the files before reverting the json lib removing and checked the import, which still works. Please review

#19 - 03/22/2023 11:44 AM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 40 to 100
